"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readInput = void 0;
const tslib_1 = require("tslib");
const get_stdin_1 = tslib_1.__importDefault(require("get-stdin"));
const fs_1 = require("fs");
const util_1 = require("util");
const http_1 = require("./http.js");
const readFileAsync = util_1.promisify(fs_1.readFile);
const urlRegex = /^https?:\/\//;
async function readInput(path) {
    if (path === "-") {
        return get_stdin_1.default();
    }
    if (urlRegex.test(path)) {
        return http_1.httpGet(path);
    }
    return readFileAsync(path, "utf8");
}
exports.readInput = readInput;
//# sourceMappingURL=read.js.map